Summary: Very Secure File Transfer Protocol Daemon.
Name: vsftpd
Version: 0.9.1
Release: fr2
Serial: 1
Copyright: GPL
Group: System Environment/Daemons
URL: ftp://ferret.lmh.ox.ac.uk/pub/linux/
Source: ftp://ferret.lmh.ox.ac.uk/pub/linux/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
PreReq: /sbin/service
Requires: xinetd, /etc/pam.d/system-auth, logrotate
BuildRequires: perl
Provides: ftpserver
Conflicts: wu-ftpd, proftpd

%description
A Very Secure FTP Daemon - written from scratch - by Chris "One Man Security
Audit Team" Evans.

%prep
%setup -q

%build
# Change a few defaults in the source/config first:
perl -pi -e 's|/etc/vsftpd.banned_emails|/etc/vsftpd/banned-emails|g' *
perl -pi -e 's|/etc/vsftpd.chroot_list|/etc/vsftpd/chroot-list|g' *
make
# Change a few defaults in the config:
perl -pi -e 's|#ls_recurse_enable|ls_recurse_enable|' vsftpd.conf

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/share/empty
mkdir -p %{buildroot}/var/ftp/pub
mkdir -p %{buildroot}/etc/vsftpd
touch %{buildroot}/etc/vsftpd/banned-emails
touch %{buildroot}/etc/vsftpd/chroot-list
install -D -m 755 vsftpd  %{buildroot}%{_sbindir}/vsftpd
install -D -m 600 vsftpd.conf %{buildroot}/etc/vsftpd.conf
install -D -m 644 RedHat/vsftpd.pam %{buildroot}/etc/pam.d/ftp
install -D -m 644 xinetd.d/vsftpd %{buildroot}/etc/xinetd.d/vsftpd
install -D -m 644 vsftpd.conf.5 %{buildroot}/%{_mandir}/man5/vsftpd.conf.5
install -D -m 644 vsftpd.8 %{buildroot}/%{_mandir}/man8/vsftpd.8
install -D -m 644 RedHat/vsftpd.log %{buildroot}/etc/logrotate.d/vsftpd

%post
if [ $1 = 1 ]; then
	/sbin/service xinetd reload > /dev/null 2>&1 || :
fi

%postun
if [ $1 = 0 ]; then
	/sbin/service xinetd reload > /dev/null 2>&1 || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUDIT BENCHMARKS BUGS Changelog INSTALL LICENSE README* REWARD
%doc SECURITY/ SIZE SPEED TODO TUNING
%{_sbindir}/vsftpd
%dir /usr/share/empty
%dir /var/ftp
%dir /var/ftp/pub
%attr(700, root, root) %dir /etc/vsftpd
%attr(600, root, root) %config(noreplace) /etc/vsftpd/banned-emails
%attr(600, root, root) %config(noreplace) /etc/vsftpd/chroot-list
%config(noreplace) /etc/vsftpd.conf
%config(noreplace) /etc/xinetd.d/vsftpd
%config(noreplace) /etc/pam.d/ftp
%config /etc/logrotate.d/vsftpd
%{_mandir}/man5/vsftpd.conf.5*
%{_mandir}/man8/vsftpd.8*

%changelog
* Sun Aug 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Changed the %%preun to %%postun, works better now!
- Added empty /etc/vsftpd/* config files.

* Sat Aug 18 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Cleaned-up the spec file.
- Fixed a manpage goof ;-)
- Added an xinetd reload upon install and uninstall (not upgrade).
- Added some modifications to the default config file.

* Thu Mar 22 2001 Seth Vidal <skvidal@phy.duke.edu>
- updated to 0.0.15
- added entry for vsftpd.8 man page
- added entry for vsftpd.log logrotate file
- added TUNING file to docs list

* Wed Mar 7 2001 Seth Vidal <skvidal@phy.duke.edu>
- updated to 0.0.14
- added entry for man page

* Wed Feb 21 2001 Seth Vidal <skvidal@phy.duke.edu>
- Update to 0.0.13

* Mon Feb 12 2001 Seth Vidal <skvidal@phy.duke.edu>
- Update to 0.0.12

* Wed Feb 7 2001 Seth Vidal <skvidal@phy.duke.edu>
- Update to 0.0.11
- Use vsftpd provided xinetd.d file

* Fri Feb 2 2001 Seth Vidal <skvidal@phy.duke.edu>
- Update to 0.0.10

* Thu Feb 1 2001 Seth Vidal <skvidal@phy.duke.edu>
- First RPM packaging
- Stolen items from wu-ftpd's pam setup
- Separated rh 7 and rh 6.X's packages
- fixed xinetd startup - duh!

